org.apache.fop.render.afp.extensions

## Class AFPPageOverlay

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPPageOverlay

All Implemented Interfaces:
  Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class AFPPageOverlay
    extends AFPExtensionAttachment

This extension allows to include an AFP Page Overlay resource. It is implemented as an extension attachment (`ExtensionAttachment`).

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`ATT_NAME, CATEGORY, elementName, name`

### Constructor Summary

Constructors
Constructor and Description
`AFPPageOverlay()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getX()` returns X coordinate
`int` `getY()` returns Y coordinate
`void` `setX(int x)` Sets the X coordinate
`void` `setY(int y)` Sets the Y coordinate
`void` `toSAX(ContentHandler handler)`
`String` `toString()`

### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`getCategory, getElementName, getName, hasName, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPPageOverlay

    public AFPPageOverlay()

Default constructor.

### Method Detail

#### getX

    public int getX()

returns X coordinate

Returns:
  x integer

#### setX

    public void setX(int x)

Sets the X coordinate

Parameters:
  `x` - The integer to be set.

#### getY

    public int getY()

returns Y coordinate

Returns:
  y integer

#### setY

    public void setY(int y)

Sets the Y coordinate

Parameters:
  `y` - The integer to be set.

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Throws:
  `SAXException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`